<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminBearbeiten;

abstract class TerminBearbeitenAbsendenController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  
  protected function getRequestObj()
  {
    $requestObj = new TerminBearbeitenAbsendenRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->ktId = \GetOperations::getVarValue('ktId');

    $wssHandler = $this->getWssHandler();
    $requestObj->columnValues = $wssHandler->getColumnValuesFromPost();
    $requestObj->wssHandler = $wssHandler;

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action, $requestObj->ktId);
  }

  abstract protected function getWssHandler(): \Kufer\KuferTools\Utils\WssHandler;

  protected function getPresenter($pUseCaseResponse)
  {
    return null;
  }
}